Page MenuHomePhabricator

Parenthetical: New edge case with nested brackets
Closed, ResolvedPublic

Description

A new edge case has been identified and a test case has been captured in WIP: Improve parenthetical handling.

There is a problem in the removeNestedParentheticals function - it does not correctly strip a parenthetical nested within other parenthetical.

This leads to invalid summaries on the following examples:

Details

Related Gerrit Patches:
mediawiki/services/mobileapps : masterFix removeNestedParentheticals parenthetical handling

Related Objects

Event Timeline

A new edge case has been identified:

What's the edge case?

Jdlrobson updated the task description. (Show Details)Sep 25 2017, 12:32 PM
Jdlrobson updated the task description. (Show Details)Sep 25 2017, 7:56 PM
Jdlrobson updated the task description. (Show Details)Sep 25 2017, 8:59 PM

Change 379930 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/services/mobileapps@master] Fix removeNestedParentheticals parenthetical handling

https://gerrit.wikimedia.org/r/379930

Jdlrobson moved this task from Inbox to Blocked on the User-Jdlrobson board.Sep 27 2017, 8:58 PM

Change 379930 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Fix removeNestedParentheticals parenthetical handling

https://gerrit.wikimedia.org/r/379930

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2017-10-03T22:20:38Z] <bsitzmann@tin> Started deploy [mobileapps/deploy@82aa7d6]: Update mobileapps to 5dc0c02 (T175762 T177001 T176525 T176517 T176519)

Mentioned in SAL (#wikimedia-operations) [2017-10-03T22:26:53Z] <bsitzmann@tin> Finished deploy [mobileapps/deploy@82aa7d6]: Update mobileapps to 5dc0c02 (T175762 T177001 T176525 T176517 T176519) (duration: 06m 14s)

Jdlrobson closed this task as Resolved.Oct 10 2017, 6:53 PM
Jdlrobson claimed this task.